<?xml version="1.0" encoding="UTF-8"?>
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance">
  <link:roleRef roleURI="http://xbrl.ifrs.org/role/ifrs/ias_1_2012-03-29_role-210000" xlink:type="simple" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/full_ifrs/ias_1_2012-03-29/rol_ias_1_2012-03-29.xsd#ias_1_2012-03-29_role-210000"/>
  <link:roleRef roleURI="http://xbrl.ifrs.org/role/ifrs/ias_1_2012-03-29_role-310000" xlink:type="simple" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/full_ifrs/ias_1_2012-03-29/rol_ias_1_2012-03-29.xsd#ias_1_2012-03-29_role-310000"/>
  <link:roleRef roleURI="http://xbrl.ifrs.org/role/ifrs/ias_1_2012-03-29_role-610000" xlink:type="simple" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/full_ifrs/ias_1_2012-03-29/rol_ias_1_2012-03-29.xsd#ias_1_2012-03-29_role-610000"/>
  <link:roleRef roleURI="http://xbrl.ifrs.org/role/ifrs/ias_7_2012-03-29_role-520000" xlink:type="simple" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/full_ifrs/ias_7_2012-03-29/rol_ias_7_2012-03-29.xsd#ias_7_2012-03-29_role-520000"/>
  <link:roleRef roleURI="http://xbrl.ifrs.org/role/ifrs/ifrs_8_2012-03-29_role-871100" xlink:type="simple" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/full_ifrs/ifrs_8_2012-03-29/rol_ifrs_8_2012-03-29.xsd#ifrs_8_2012-03-29_role-871100"/>
  <link:calculationLink xlink:type="extended" xlink:role="http://xbrl.ifrs.org/role/ifrs/ias_1_2012-03-29_role-210000">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_Assets" xlink:label="Assets"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_NoncurrentAssets" xlink:label="NoncurrentAssets"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Assets" xlink:to="NoncurrentAssets" order="1.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_PropertyPlantAndEquipment" xlink:label="PropertyPlantAndEquipment"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="PropertyPlantAndEquipment" order="1.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_IntangibleAssetsOtherThanGoodwill" xlink:label="IntangibleAssetsOtherThanGoodwill"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="IntangibleAssetsOtherThanGoodwill" order="2.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_InvestmentProperty" xlink:label="InvestmentProperty"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="InvestmentProperty" order="3.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_InvestmentAccountedForUsingEquityMethod" xlink:label="InvestmentAccountedForUsingEquityMethod"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="InvestmentAccountedForUsingEquityMethod" order="4.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_OtherNoncurrentNonfinancialAssets" xlink:label="OtherNoncurrentNonfinancialAssets"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="OtherNoncurrentNonfinancialAssets" order="5.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_DeferredTaxAssets" xlink:label="DeferredTaxAssets"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="DeferredTaxAssets" order="6.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_CurrentAssets" xlink:label="CurrentAssets"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Assets" xlink:to="CurrentAssets" order="2.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:label="CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentAssets" xlink:to="CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" order="1.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_Inventories" xlink:label="Inventories"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:to="Inventories" order="1.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_TradeAndOtherCurrentReceivables" xlink:label="TradeAndOtherCurrentReceivables"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:to="TradeAndOtherCurrentReceivables" order="2.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_CurrentTaxAssetsCurrent" xlink:label="CurrentTaxAssetsCurrent"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:to="CurrentTaxAssetsCurrent" order="3.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_CashAndCashEquivalents" xlink:label="CashAndCashEquivalents"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:to="CashAndCashEquivalents" order="4.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:label="NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentAssets" xlink:to="NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" order="2.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_EquityAndLiabilities" xlink:label="EquityAndLiabilities"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_Equity" xlink:label="Equity"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAndLiabilities" xlink:to="Equity" order="1.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_EquityAttributableToOwnersOfParent" xlink:label="EquityAttributableToOwnersOfParent"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Equity" xlink:to="EquityAttributableToOwnersOfParent" order="1.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_IssuedCapital" xlink:label="IssuedCapital"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="IssuedCapital" order="1.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_SharePremium" xlink:label="SharePremium"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="SharePremium" order="2.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_TreasuryShares" xlink:label="TreasuryShares"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="TreasuryShares" order="3.0" weight="-1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_OtherEquityInterest" xlink:label="OtherEquityInterest"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="OtherEquityInterest" order="4.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_RetainedEarnings" xlink:label="RetainedEarnings"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="RetainedEarnings" order="5.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_NoncontrollingInterests" xlink:label="NoncontrollingInterests"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Equity" xlink:to="NoncontrollingInterests" order="2.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_Liabilities" xlink:label="Liabilities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAndLiabilities" xlink:to="Liabilities" order="2.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_NoncurrentLiabilities" xlink:label="NoncurrentLiabilities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Liabilities" xlink:to="NoncurrentLiabilities" order="1.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_LongtermBorrowings" xlink:label="LongtermBorrowings"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentLiabilities" xlink:to="LongtermBorrowings" order="1.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_OtherNoncurrentFinancialLiabilities" xlink:label="OtherNoncurrentFinancialLiabilities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentLiabilities" xlink:to="OtherNoncurrentFinancialLiabilities" order="2.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_NoncurrentProvisionsForEmployeeBenefits" xlink:label="NoncurrentProvisionsForEmployeeBenefits"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentLiabilities" xlink:to="NoncurrentProvisionsForEmployeeBenefits" order="3.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_DeferredIncomeClassifiedAsNoncurrent" xlink:label="DeferredIncomeClassifiedAsNoncurrent"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentLiabilities" xlink:to="DeferredIncomeClassifiedAsNoncurrent" order="4.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_OtherLongtermProvisions" xlink:label="OtherLongtermProvisions"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentLiabilities" xlink:to="OtherLongtermProvisions" order="5.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_DeferredTaxLiabilities" xlink:label="DeferredTaxLiabilities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentLiabilities" xlink:to="DeferredTaxLiabilities" order="6.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_CurrentLiabilities" xlink:label="CurrentLiabilities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Liabilities" xlink:to="CurrentLiabilities" order="2.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:label="CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentLiabilities" xlink:to="CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" order="1.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_ShorttermBorrowings" xlink:label="ShorttermBorrowings"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:to="ShorttermBorrowings" order="1.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_OtherFinancialLiabilities" xlink:label="OtherFinancialLiabilities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:to="OtherFinancialLiabilities" order="2.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_TradeAndOtherCurrentPayables" xlink:label="TradeAndOtherCurrentPayables"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:to="TradeAndOtherCurrentPayables" order="3.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_DeferredIncome" xlink:label="DeferredIncome"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:to="DeferredIncome" order="4.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_CurrentTaxLiabilitiesCurrent" xlink:label="CurrentTaxLiabilitiesCurrent"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:to="CurrentTaxLiabilitiesCurrent" order="5.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_CurrentProvisions" xlink:label="CurrentProvisions"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:to="CurrentProvisions" order="6.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:label="LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentLiabilities" xlink:to="LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" order="2.0" weight="1"/>
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://xbrl.ifrs.org/role/ifrs/ias_1_2012-03-29_role-310000">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_BasicEarningsLossPerShare" xlink:label="BasicEarningsLossPerShare"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_BasicEarningsLossPerShareFromContinuingOperations" xlink:label="BasicEarningsLossPerShareFromContinuingOperations"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="BasicEarningsLossPerShare" xlink:to="BasicEarningsLossPerShareFromContinuingOperations" order="1.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_BasicEarningsLossPerShareFromDiscontinuedOperations" xlink:label="BasicEarningsLossPerShareFromDiscontinuedOperations"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="BasicEarningsLossPerShare" xlink:to="BasicEarningsLossPerShareFromDiscontinuedOperations" order="2.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_DilutedEarningsLossPerShare" xlink:label="DilutedEarningsLossPerShare"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_DilutedEarningsLossPerShareFromContinuingOperations" xlink:label="DilutedEarningsLossPerShareFromContinuingOperations"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="DilutedEarningsLossPerShare" xlink:to="DilutedEarningsLossPerShareFromContinuingOperations" order="1.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_DilutedEarningsLossPerShareFromDiscontinuedOperations" xlink:label="DilutedEarningsLossPerShareFromDiscontinuedOperations"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="DilutedEarningsLossPerShare" xlink:to="DilutedEarningsLossPerShareFromDiscontinuedOperations" order="2.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_ComprehensiveIncome" xlink:label="ComprehensiveIncome"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:label="OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" order="1.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_OtherComprehensiveIncomeNetOfTaxCashFlowHedges" xlink:label="OtherComprehensiveIncomeNetOfTaxCashFlowHedges"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="OtherComprehensiveIncomeNetOfTaxCashFlowHedges" order="2.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_OtherComprehensiveIncomeNetOfTaxAvailableforsaleFinancialAssets" xlink:label="OtherComprehensiveIncomeNetOfTaxAvailableforsaleFinancialAssets"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="OtherComprehensiveIncomeNetOfTaxAvailableforsaleFinancialAssets" order="3.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_ProfitLoss" xlink:label="ProfitLoss"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="ProfitLoss" order="4.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_ProfitLossFromContinuingOperations" xlink:label="ProfitLossFromContinuingOperations"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLoss" xlink:to="ProfitLossFromContinuingOperations" order="1.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_ProfitLossBeforeTax" xlink:label="ProfitLossBeforeTax"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossFromContinuingOperations" xlink:to="ProfitLossBeforeTax" order="1.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_ProfitLossFromOperatingActivities" xlink:label="ProfitLossFromOperatingActivities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="ProfitLossFromOperatingActivities" order="1.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_GrossProfit" xlink:label="GrossProfit"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="GrossProfit" order="1.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_Revenue" xlink:label="Revenue"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="GrossProfit" xlink:to="Revenue" order="1.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_CostOfSales" xlink:label="CostOfSales"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="GrossProfit" xlink:to="CostOfSales" order="2.0" weight="-1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_OtherIncome" xlink:label="OtherIncome"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="OtherIncome" order="2.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_DistributionCosts" xlink:label="DistributionCosts"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="DistributionCosts" order="3.0" weight="-1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_AdministrativeExpense" xlink:label="AdministrativeExpense"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="AdministrativeExpense" order="4.0" weight="-1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_OtherExpenseByFunction" xlink:label="OtherExpenseByFunction"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="OtherExpenseByFunction" order="5.0" weight="-1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_FinanceIncome" xlink:label="FinanceIncome"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="FinanceIncome" order="2.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_FinanceCosts" xlink:label="FinanceCosts"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="FinanceCosts" order="3.0" weight="-1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:label="ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" order="4.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_IncomeTaxExpenseContinuingOperations" xlink:label="IncomeTaxExpenseContinuingOperations"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossFromContinuingOperations" xlink:to="IncomeTaxExpenseContinuingOperations" order="2.0" weight="-1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_ProfitLossFromDiscontinuedOperations" xlink:label="ProfitLossFromDiscontinuedOperations"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLoss" xlink:to="ProfitLossFromDiscontinuedOperations" order="2.0" weight="1"/>
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://xbrl.ifrs.org/role/ifrs/ias_1_2012-03-29_role-610000">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_ComprehensiveIncome" xlink:label="ComprehensiveIncome"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_ProfitLoss" xlink:label="ProfitLoss"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="ProfitLoss" order="1.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_OtherComprehensiveIncome" xlink:label="OtherComprehensiveIncome"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="OtherComprehensiveIncome" order="2.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_ContributionsByOwnersAndDistributionsToOwners" xlink:label="ContributionsByOwnersAndDistributionsToOwners"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_IncreaseDecreaseThroughTreasuryShareTransactions" xlink:label="IncreaseDecreaseThroughTreasuryShareTransactions"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ContributionsByOwnersAndDistributionsToOwners" xlink:to="IncreaseDecreaseThroughTreasuryShareTransactions" order="1.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_DividendsPaid" xlink:label="DividendsPaid"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ContributionsByOwnersAndDistributionsToOwners" xlink:to="DividendsPaid" order="2.0" weight="-1"/>
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://xbrl.ifrs.org/role/ifrs/ias_7_2012-03-29_role-520000">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="IncreaseDecreaseInCashAndCashEquivalents"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_CashFlowsFromUsedInOperatingActivities" xlink:label="CashFlowsFromUsedInOperatingActivities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="IncreaseDecreaseInCashAndCashEquivalents" xlink:to="CashFlowsFromUsedInOperatingActivities" order="1.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_CashFlowsFromUsedInOperations" xlink:label="CashFlowsFromUsedInOperations"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="CashFlowsFromUsedInOperations" order="1.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_ProfitLossBeforeTax" xlink:label="ProfitLossBeforeTax"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperations" xlink:to="ProfitLossBeforeTax" order="1.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_AdjustmentsForDepreciationAndAmortisationExpense" xlink:label="AdjustmentsForDepreciationAndAmortisationExpense"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperations" xlink:to="AdjustmentsForDepreciationAndAmortisationExpense" order="2.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_AdjustmentsForFinanceCosts" xlink:label="AdjustmentsForFinanceCosts"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperations" xlink:to="AdjustmentsForFinanceCosts" order="3.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_AdjustmentsForSharebasedPayments" xlink:label="AdjustmentsForSharebasedPayments"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperations" xlink:to="AdjustmentsForSharebasedPayments" order="4.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_AdjustmentsForIncomeTaxExpense" xlink:label="AdjustmentsForIncomeTaxExpense"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperations" xlink:to="AdjustmentsForIncomeTaxExpense" order="5.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_AdjustmentsForDecreaseIncreaseInInventories" xlink:label="AdjustmentsForDecreaseIncreaseInInventories"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperations" xlink:to="AdjustmentsForDecreaseIncreaseInInventories" order="6.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable" xlink:label="AdjustmentsForDecreaseIncreaseInTradeAccountReceivable"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperations" xlink:to="AdjustmentsForDecreaseIncreaseInTradeAccountReceivable" order="7.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_AdjustmentsForIncreaseDecreaseInTradeAccountPayable" xlink:label="AdjustmentsForIncreaseDecreaseInTradeAccountPayable"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperations" xlink:to="AdjustmentsForIncreaseDecreaseInTradeAccountPayable" order="8.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_AdjustmentsForProvisions" xlink:label="AdjustmentsForProvisions"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperations" xlink:to="AdjustmentsForProvisions" order="9.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_AdjustmentsForIncreaseDecreaseInDeferredIncome" xlink:label="AdjustmentsForIncreaseDecreaseInDeferredIncome_2"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperations" xlink:to="AdjustmentsForIncreaseDecreaseInDeferredIncome_2" order="10.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_InterestReceivedClassifiedAsOperatingActivities" xlink:label="InterestReceivedClassifiedAsOperatingActivities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="InterestReceivedClassifiedAsOperatingActivities" order="2.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_DividendsReceivedClassifiedAsOperatingActivities" xlink:label="DividendsReceivedClassifiedAsOperatingActivities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="DividendsReceivedClassifiedAsOperatingActivities" order="3.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_InterestPaidClassifiedAsOperatingActivities" xlink:label="InterestPaidClassifiedAsOperatingActivities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="InterestPaidClassifiedAsOperatingActivities" order="4.0" weight="-1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:label="IncomeTaxesPaidRefundClassifiedAsOperatingActivities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="IncomeTaxesPaidRefundClassifiedAsOperatingActivities" order="5.0" weight="-1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_CashFlowsFromUsedInInvestingActivities" xlink:label="CashFlowsFromUsedInInvestingActivities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="IncreaseDecreaseInCashAndCashEquivalents" xlink:to="CashFlowsFromUsedInInvestingActivities" order="2.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" order="1.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_OtherCashReceiptsFromSalesOfEquityOrDebtInstrumentsOfOtherEntitiesClassifiedAsInvestingActivities" xlink:label="OtherCashReceiptsFromSalesOfEquityOrDebtInstrumentsOfOtherEntitiesClassifiedAsInvestingActivities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="OtherCashReceiptsFromSalesOfEquityOrDebtInstrumentsOfOtherEntitiesClassifiedAsInvestingActivities" order="2.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:label="CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" order="3.0" weight="-1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" order="4.0" weight="-1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities" xlink:label="OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities" order="5.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_CashFlowsFromUsedInFinancingActivities" xlink:label="CashFlowsFromUsedInFinancingActivities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="IncreaseDecreaseInCashAndCashEquivalents" xlink:to="CashFlowsFromUsedInFinancingActivities" order="3.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_ProceedsFromIssuingShares" xlink:label="ProceedsFromIssuingShares"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="ProceedsFromIssuingShares" order="1.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="RepaymentsOfBorrowingsClassifiedAsFinancingActivities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="RepaymentsOfBorrowingsClassifiedAsFinancingActivities" order="2.0" weight="-1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_PaymentsOfFinanceLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="PaymentsOfFinanceLeaseLiabilitiesClassifiedAsFinancingActivities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="PaymentsOfFinanceLeaseLiabilitiesClassifiedAsFinancingActivities" order="3.0" weight="-1"/>
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://xbrl.ifrs.org/role/ifrs/ifrs_8_2012-03-29_role-871100">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_RevenuesFromExternalCustomersAndTransactionsWithOtherOperatingSegmentsOfSameEntity" xlink:label="RevenuesFromExternalCustomersAndTransactionsWithOtherOperatingSegmentsOfSameEntity"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_Revenue" xlink:label="Revenue"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="RevenuesFromExternalCustomersAndTransactionsWithOtherOperatingSegmentsOfSameEntity" xlink:to="Revenue" order="1.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_RevenuesFromTransactionsWithOtherOperatingSegmentsOfSameEntity" xlink:label="RevenuesFromTransactionsWithOtherOperatingSegmentsOfSameEntity"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="RevenuesFromExternalCustomersAndTransactionsWithOtherOperatingSegmentsOfSameEntity" xlink:to="RevenuesFromTransactionsWithOtherOperatingSegmentsOfSameEntity" order="2.0" weight="1"/>
  </link:calculationLink>
</link:linkbase>
